Class | Chef::Provider::Package::Rubygems
In: | lib/chef/provider/package/rubygems.rb
Parent: | Chef::Provider::Package

### Methods

all_installed_versions candidate_version current_version gem_binary_path gem_dependency gem_sources install_package install_via_gem_command load_current_resource logger matching_installed_versions new purge_package remove_package source_is_remote? target_version_already_installed? uninstall_via_gem_command upgrade_package

### Included Modules

Chef::Mixin::ShellOut Chef::Mixin::GetSourceFromPackage

### Classes and Modules

Class Chef::Provider::Package::Rubygems::AlternateGemEnvironment
Class Chef::Provider::Package::Rubygems::CurrentGemEnvironment
Class Chef::Provider::Package::Rubygems::GemEnvironment

### Attributes

gem_env | [R] |

### Public Class methods

new(new_resource, run_context=nil)

### Public Instance methods

all_installed_versions()
candidate_version()
current_version()
gem_binary_path()
gem_dependency()
gem_sources()
install_package(name, version)

Installs the gem, using either the gems API or shelling out to `gem` according to the following criteria:

1. Use gems API (Gem::DependencyInstaller) by default
2. shell out to `gem install` when a String of options is given
3. use gems API with options if a hash of options is given

install_via_gem_command(name, version)
load_current_resource()
logger()
matching_installed_versions()
purge_package(name, version)
remove_package(name, version)
source_is_remote?()
target_version_already_installed?()
uninstall_via_gem_command(name, version)
upgrade_package(name, version)

[Validate]